
Redmine - Defect #1436

Bad rendering on projects/add

2008-06-12 17:14 - Pierre Paysant-Le Roux

Status: Closed Start date: 2008-06-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

Go to /projects/add (must be admin) (note that the page has no title)

Enter only in the form

Click save button

Error are reported and the page is scrambled. Observed on Firefox 2 and 3.

A workaround is to replace this line of app/views/layouts/base.rhtml

<h1><%= h(@project ? @project.name : Setting.app_title) %></h1>

by this one

<h1><%= h((@project and !@project.name.blank?) ? @project.name : Setting.app_title) %></h1> 

Associated revisions

Revision 1526 - 2008-06-14 13:15 - Jean-Philippe Lang

Fixed: page has no title when adding a project (#1436).

History

#1 - 2008-06-12 17:15 - Pierre Paysant-Le Roux

Enter only in the form

is

Enter only a name in the form

#2 - 2008-06-14 13:14 - Jean-Philippe Lang

I couldn't reproduce the problem. But the page has no title indeed, when adding a new project.

I've applied a different fix in r1526 (display the project name only after it was saved).

Can you confirm it's OK ?

#3 - 2008-06-14 15:23 - Pierre Paysant-Le Roux

- Status changed from New to Resolved

r1526 solved this issue.

#4 - 2008-06-14 16:07 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Thanks.
